Index: code/branches/cpp11_v2/src/orxonox/Level.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/Level.cc	(revision 10845)
+++ code/branches/cpp11_v2/src/orxonox/Level.cc	(revision 10916)
@@ -106,8 +106,8 @@
     void Level::networkCallbackTemplatesChanged()
     {
-        for(const auto & elem : this->networkTemplateNames_)
-        {
-            assert(Template::getTemplate(elem));
-            Template::getTemplate(elem)->applyOn(this);
+        for(const std::string& name : this->networkTemplateNames_)
+        {
+            assert(Template::getTemplate(name));
+            Template::getTemplate(name)->applyOn(this);
         }
     }
@@ -135,6 +135,6 @@
         //       objects alive when ~Level is called. This is the reason why we cannot directly destroy() the Plugins - instead we need
         //       to call destroyLater() to ensure that no instances from this plugin exist anymore.
-        for (auto & elem : this->plugins_)
-            (elem)->destroyLater();
+        for (PluginReference* plugin : this->plugins_)
+            plugin->destroyLater();
         this->plugins_.clear();
     }
@@ -173,8 +173,8 @@
     {
         unsigned int i = 0;
-        for (const auto & elem : this->objects_)
+        for (BaseObject* object : this->objects_)
         {
             if (i == index)
-                return (elem);
+                return object;
             ++i;
         }
Index: code/branches/cpp11_v2/src/orxonox/LevelInfo.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/LevelInfo.cc	(revision 10845)
+++ code/branches/cpp11_v2/src/orxonox/LevelInfo.cc	(revision 10916)
@@ -106,7 +106,7 @@
     {
         SubString substr = SubString(tags, ",", " "); // Split the string into tags.
-        const std::vector<std::string>& strings = substr.getAllStrings();
-        for (const auto & strings_it : strings)
-            this->addTag(strings_it, false);
+        const std::vector<std::string>& tokens = substr.getAllStrings();
+        for (const std::string& token : tokens)
+            this->addTag(token, false);
 
         this->tagsUpdated();
@@ -121,7 +121,7 @@
     {
         SubString substr = SubString(ships, ",", " "); // Split the string into tags.
-        const std::vector<std::string>& strings = substr.getAllStrings();
-        for(const auto & strings_it : strings)
-            this->addStartingShip(strings_it, false);
+        const std::vector<std::string>& tokens = substr.getAllStrings();
+        for(const std::string& token : tokens)
+            this->addStartingShip(token, false);
 
         this->startingshipsUpdated();
Index: code/branches/cpp11_v2/src/orxonox/LevelManager.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/LevelManager.cc	(revision 10845)
+++ code/branches/cpp11_v2/src/orxonox/LevelManager.cc	(revision 10916)
@@ -175,6 +175,6 @@
             this->levels_.front()->setActive(true);
             // Make every player enter the newly activated level.
-            for (const auto & elem : PlayerManager::getInstance().getClients())
-                this->levels_.front()->playerEntered(elem.second);
+            for (const auto& mapEntry : PlayerManager::getInstance().getClients())
+                this->levels_.front()->playerEntered(mapEntry.second);
         }
     }
Index: code/branches/cpp11_v2/src/orxonox/Scene.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/Scene.cc	(revision 10845)
+++ code/branches/cpp11_v2/src/orxonox/Scene.cc	(revision 10916)
@@ -220,8 +220,8 @@
         {
             // Remove all WorldEntities and shove them to the queue since they would still like to be in a physical world.
-            for (const auto & elem : this->physicalObjects_)
+            for (WorldEntity* object : this->physicalObjects_)
             {
-                this->physicalWorld_->removeRigidBody((elem)->physicalBody_);
-                this->physicalObjectQueue_.insert(elem);
+                this->physicalWorld_->removeRigidBody(object->physicalBody_);
+                this->physicalObjectQueue_.insert(object);
             }
             this->physicalObjects_.clear();
@@ -255,8 +255,8 @@
             {
                 // Add all scheduled WorldEntities
-                for (const auto & elem : this->physicalObjectQueue_)
+                for (WorldEntity* object : this->physicalObjectQueue_)
                 {
-                    this->physicalWorld_->addRigidBody((elem)->physicalBody_);
-                    this->physicalObjects_.insert(elem);
+                    this->physicalWorld_->addRigidBody(object->physicalBody_);
+                    this->physicalObjects_.insert(object);
                 }
                 this->physicalObjectQueue_.clear();
@@ -319,8 +319,8 @@
     {
         unsigned int i = 0;
-        for (const auto & elem : this->objects_)
+        for (BaseObject* object : this->objects_)
         {
             if (i == index)
-                return (elem);
+                return object;
             ++i;
         }
Index: code/branches/cpp11_v2/src/orxonox/collisionshapes/CompoundCollisionShape.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/collisionshapes/CompoundCollisionShape.cc	(revision 10845)
+++ code/branches/cpp11_v2/src/orxonox/collisionshapes/CompoundCollisionShape.cc	(revision 10916)
@@ -65,10 +65,10 @@
         {
             // Delete all children
-            for (auto & elem : this->attachedShapes_)
+            for (auto& mapEntry : this->attachedShapes_)
             {
                 // make sure that the child doesn't want to detach itself --> speedup because of the missing update
-                elem.first->notifyDetached();
-                elem.first->destroy();
-                if (this->collisionShape_ == elem.second)
+                mapEntry.first->notifyDetached();
+                mapEntry.first->destroy();
+                if (this->collisionShape_ == mapEntry.second)
                     this->collisionShape_ = nullptr; // don't destroy it twice
             }
@@ -246,8 +246,8 @@
     {
         unsigned int i = 0;
-        for (const auto & elem : this->attachedShapes_)
+        for (const auto& mapEntry : this->attachedShapes_)
         {
             if (i == index)
-                return elem.first;
+                return mapEntry.first;
             ++i;
         }
@@ -266,6 +266,6 @@
         std::vector<CollisionShape*> shapes;
         // Iterate through all attached CollisionShapes and add them to the list of shapes.
-        for(auto & elem : this->attachedShapes_)
-            shapes.push_back(elem.first);
+        for(auto& mapEntry : this->attachedShapes_)
+            shapes.push_back(mapEntry.first);
 
         // Delete the compound shape and create a new one.
@@ -274,7 +274,6 @@
 
         // Re-attach all CollisionShapes.
-        for(auto shape : shapes)
-        {
-            
+        for(CollisionShape* shape : shapes)
+        {
             shape->setScale3D(this->getScale3D());
             // Only actually attach if we didn't pick a CompoundCollisionShape with no content.
Index: code/branches/cpp11_v2/src/orxonox/controllers/ArtificialController.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/controllers/ArtificialController.cc	(revision 10845)
+++ code/branches/cpp11_v2/src/orxonox/controllers/ArtificialController.cc	(revision 10916)
@@ -231,8 +231,8 @@
     int ArtificialController::getFiremode(std::string name)
     {
-        for (auto firemode : this->weaponModes_)
-        {
-            if (firemode.first == name)
-                return firemode.second;
+        for (auto& mapEntry : this->weaponModes_)
+        {
+            if (mapEntry.first == name)
+                return mapEntry.second;
         }
         return -1;
Index: code/branches/cpp11_v2/src/orxonox/controllers/FormationController.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/controllers/FormationController.cc	(revision 10845)
+++ code/branches/cpp11_v2/src/orxonox/controllers/FormationController.cc	(revision 10916)
@@ -440,8 +440,8 @@
                 if(newMaster->slaves_.size() > this->maxFormationSize_) continue;
 
-                for(auto & elem : this->slaves_)
+                for(FormationController* slave : this->slaves_)
                 {
-                    (elem)->myMaster_ = newMaster;
-                    newMaster->slaves_.push_back(elem);
+                    slave->myMaster_ = newMaster;
+                    newMaster->slaves_.push_back(slave);
                 }
                 this->slaves_.clear();
@@ -486,5 +486,5 @@
             int i = 1;
 
-            for(auto & elem : slaves_)
+            for(FormationController* slave : slaves_)
             {
                 pos = Vector3::ZERO;
@@ -497,6 +497,6 @@
                     dest+=FORMATION_LENGTH*(orient*WorldEntity::BACK);
                 }
-                (elem)->setTargetOrientation(orient);
-                (elem)->setTargetPosition(pos);
+                slave->setTargetOrientation(orient);
+                slave->setTargetPosition(pos);
                 left=!left;
             }
@@ -569,8 +569,8 @@
         if(this->state_ != MASTER) return;
 
-        for(auto & elem : slaves_)
-        {
-            (elem)->state_ = FREE;
-            (elem)->myMaster_ = nullptr;
+        for(FormationController* slave : slaves_)
+        {
+            slave->state_ = FREE;
+            slave->myMaster_ = nullptr;
         }
         this->slaves_.clear();
@@ -584,10 +584,10 @@
         if(this->state_ != MASTER) return;
 
-        for(auto & elem : slaves_)
-        {
-            (elem)->state_ = FREE;
-            (elem)->forceFreedom();
-            (elem)->targetPosition_ = this->targetPosition_;
-            (elem)->bShooting_ = true;
+        for(FormationController* slave : slaves_)
+        {
+            slave->state_ = FREE;
+            slave->forceFreedom();
+            slave->targetPosition_ = this->targetPosition_;
+            slave->bShooting_ = true;
 //             (*it)->getControllableEntity()->fire(0);// fire once for fun
         }
@@ -650,7 +650,7 @@
             this->slaves_.push_back(this->myMaster_);
             //set this as new master
-            for(auto & elem : slaves_)
-            {
-                 (elem)->myMaster_=this;
+            for(FormationController* slave : slaves_)
+            {
+                 slave->myMaster_=this;
             }
             this->myMaster_=nullptr;
@@ -694,9 +694,9 @@
         if (this->state_ == MASTER)
         {
-            for(auto & elem : slaves_)
-            {
-                 (elem)->formationMode_ = val;
+            for(FormationController* slave : slaves_)
+            {
+                 slave->formationMode_ = val;
                  if (val == ATTACK)
-                     (elem)->forgetTarget();
+                     slave->forgetTarget();
             }
         }
Index: code/branches/cpp11_v2/src/orxonox/controllers/WaypointController.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/controllers/WaypointController.cc	(revision 10845)
+++ code/branches/cpp11_v2/src/orxonox/controllers/WaypointController.cc	(revision 10916)
@@ -44,8 +44,8 @@
     WaypointController::~WaypointController()
     {
-        for (auto & elem : this->waypoints_)
+        for (WorldEntity* waypoint : this->waypoints_)
         {
-            if(elem)
-                elem->destroy();
+            if(waypoint)
+                waypoint->destroy();
         }
     }
Index: code/branches/cpp11_v2/src/orxonox/gamestates/GSLevel.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gamestates/GSLevel.cc	(revision 10845)
+++ code/branches/cpp11_v2/src/orxonox/gamestates/GSLevel.cc	(revision 10916)
@@ -251,5 +251,5 @@
 
         // delete states
-        for (auto & state : states)
+        for (GSLevelMementoState* state : states)
             delete state;
     }
Index: code/branches/cpp11_v2/src/orxonox/gametypes/Dynamicmatch.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gametypes/Dynamicmatch.cc	(revision 10845)
+++ code/branches/cpp11_v2/src/orxonox/gametypes/Dynamicmatch.cc	(revision 10916)
@@ -405,9 +405,9 @@
     void Dynamicmatch::rewardPig()
     {
-        for (auto & elem : this->playerParty_) //durch alle Spieler iterieren und alle piggys finden
-        {
-            if (elem.second==piggy)//Spieler mit der Pig-party frags++
-            {
-                 this->playerScored(elem.first);
+        for (auto& mapEntry : this->playerParty_) //durch alle Spieler iterieren und alle piggys finden
+        {
+            if (mapEntry.second==piggy)//Spieler mit der Pig-party frags++
+            {
+                 this->playerScored(mapEntry.first);
             }
         }
@@ -422,7 +422,7 @@
 
                 std::set<WorldEntity*> pawnAttachments = pawn->getAttachedObjects();
-                for (const auto & pawnAttachment : pawnAttachments)
-                {
-                    if ((pawnAttachment)->isA(Class(TeamColourable)))
+                for (WorldEntity* pawnAttachment : pawnAttachments)
+                {
+                    if (pawnAttachment->isA(Class(TeamColourable)))
                     {
                         TeamColourable* tc = orxonox_cast<TeamColourable*>(pawnAttachment);
@@ -441,11 +441,11 @@
             if (tutorial) // Announce selectionphase
             {
-             for (auto & elem : this->playerParty_)
-                {
-                    if (!elem.first)//in order to catch nullpointer
+             for (auto& mapEntry : this->playerParty_)
+                {
+                    if (!mapEntry.first)//in order to catch nullpointer
                         continue;
-                    if (elem.first->getClientID() == NETWORK_PEER_ID_UNKNOWN)
+                    if (mapEntry.first->getClientID() == NETWORK_PEER_ID_UNKNOWN)
                         continue;
-                    this->gtinfo_->sendStaticMessage("Selection phase: Shoot at everything that moves.",elem.first->getClientID(),ColourValue(1.0f, 1.0f, 0.5f));
+                    this->gtinfo_->sendStaticMessage("Selection phase: Shoot at everything that moves.",mapEntry.first->getClientID(),ColourValue(1.0f, 1.0f, 0.5f));
                 }
             }
@@ -456,26 +456,26 @@
              if(tutorial&&(!notEnoughKillers)&&(!notEnoughChasers)) //Selection phase over
              {
-                  for (auto & elem : this->playerParty_)
+                  for (auto& mapEntry : this->playerParty_)
                   {
-                       if (!elem.first)//in order to catch nullpointer
+                       if (!mapEntry.first)//in order to catch nullpointer
                            continue;
-                       if (elem.first->getClientID() == NETWORK_PEER_ID_UNKNOWN)
+                       if (mapEntry.first->getClientID() == NETWORK_PEER_ID_UNKNOWN)
                            continue;
-                       else if (elem.second==chaser)
+                       else if (mapEntry.second==chaser)
                        {
                            if (numberOf[killer]>0)
-                               this->gtinfo_->sendStaticMessage("Shoot at the victim as often as possible. Defend yourself against the killers.",elem.first->getClientID(),partyColours_[piggy]);
+                               this->gtinfo_->sendStaticMessage("Shoot at the victim as often as possible. Defend yourself against the killers.",mapEntry.first->getClientID(),partyColours_[piggy]);
                            else
-                               this->gtinfo_->sendStaticMessage("Shoot at the victim as often as possible.",elem.first->getClientID(),partyColours_[piggy]);
+                               this->gtinfo_->sendStaticMessage("Shoot at the victim as often as possible.",mapEntry.first->getClientID(),partyColours_[piggy]);
                            //this->gtinfo_->sendFadingMessage("You're now a chaser.",it->first->getClientID());
                        }
-                       else if (elem.second==piggy)
-                       {
-                           this->gtinfo_->sendStaticMessage("Either hide or shoot a chaser.",elem.first->getClientID(),partyColours_[chaser]);
+                       else if (mapEntry.second==piggy)
+                       {
+                           this->gtinfo_->sendStaticMessage("Either hide or shoot a chaser.",mapEntry.first->getClientID(),partyColours_[chaser]);
                            //this->gtinfo_->sendFadingMessage("You're now a victim.",it->first->getClientID());
                        }
-                       else if (elem.second==killer)
-                       {
-                           this->gtinfo_->sendStaticMessage("Take the chasers down.",elem.first->getClientID(),partyColours_[chaser]);
+                       else if (mapEntry.second==killer)
+                       {
+                           this->gtinfo_->sendStaticMessage("Take the chasers down.",mapEntry.first->getClientID(),partyColours_[chaser]);
                            //this->gtinfo_->sendFadingMessage("You're now a killer.",it->first->getClientID());
                        }
@@ -490,11 +490,11 @@
             if (tutorial) // Announce selectionphase
             {
-             for (auto & elem : this->playerParty_)
-                {
-                    if (!elem.first)//in order to catch nullpointer
+             for (auto& mapEntry : this->playerParty_)
+                {
+                    if (!mapEntry.first)//in order to catch nullpointer
                         continue;
-                    if (elem.first->getClientID() == NETWORK_PEER_ID_UNKNOWN)
+                    if (mapEntry.first->getClientID() == NETWORK_PEER_ID_UNKNOWN)
                         continue;
-                    this->gtinfo_->sendStaticMessage("Selection phase: Shoot at everything that moves.",elem.first->getClientID(),ColourValue(1.0f, 1.0f, 0.5f));
+                    this->gtinfo_->sendStaticMessage("Selection phase: Shoot at everything that moves.",mapEntry.first->getClientID(),ColourValue(1.0f, 1.0f, 0.5f));
                 }
             }
@@ -505,26 +505,26 @@
             if(tutorial&&(!notEnoughPigs)&&(!notEnoughChasers)) //Selection phase over
              {
-                  for (auto & elem : this->playerParty_)
+                  for (auto& mapEntry : this->playerParty_)
                   {
-                       if (!elem.first)
+                       if (!mapEntry.first)
                            continue;
-                       if (elem.first->getClientID() == NETWORK_PEER_ID_UNKNOWN)
+                       if (mapEntry.first->getClientID() == NETWORK_PEER_ID_UNKNOWN)
                            continue;
-                       else if (elem.second==chaser)
+                       else if (mapEntry.second==chaser)
                        {
                            if (numberOf[killer]>0)
-                               this->gtinfo_->sendStaticMessage("Shoot at the victim as often as possible. Defend yourself against the killers.",elem.first->getClientID(),partyColours_[piggy]);
+                               this->gtinfo_->sendStaticMessage("Shoot at the victim as often as possible. Defend yourself against the killers.",mapEntry.first->getClientID(),partyColours_[piggy]);
                            else
-                               this->gtinfo_->sendStaticMessage("Shoot at the victim as often as possible.",elem.first->getClientID(),partyColours_[piggy]);
+                               this->gtinfo_->sendStaticMessage("Shoot at the victim as often as possible.",mapEntry.first->getClientID(),partyColours_[piggy]);
                            //this->gtinfo_->sendFadingMessage("You're now a chaser.",it->first->getClientID());
                        }
-                       else if (elem.second==piggy)
-                       {
-                           this->gtinfo_->sendStaticMessage("Either hide or shoot a chaser.",elem.first->getClientID(),partyColours_[piggy]);
+                       else if (mapEntry.second==piggy)
+                       {
+                           this->gtinfo_->sendStaticMessage("Either hide or shoot a chaser.",mapEntry.first->getClientID(),partyColours_[piggy]);
                            //this->gtinfo_->sendFadingMessage("You're now a victim.",it->first->getClientID());
                        }
-                       else if (elem.second==killer)
-                       {
-                           this->gtinfo_->sendStaticMessage("Take the chasers down.",elem.first->getClientID(),partyColours_[piggy]);
+                       else if (mapEntry.second==killer)
+                       {
+                           this->gtinfo_->sendStaticMessage("Take the chasers down.",mapEntry.first->getClientID(),partyColours_[piggy]);
                            //this->gtinfo_->sendFadingMessage("You're now a killer.",it->first->getClientID());
                        }
@@ -540,11 +540,11 @@
             if (tutorial) // Announce selectionphase
             {
-             for (auto & elem : this->playerParty_)
-                {
-                    if (!elem.first)//in order to catch nullpointer
+             for (auto& mapEntry : this->playerParty_)
+                {
+                    if (!mapEntry.first)//in order to catch nullpointer
                         continue;
-                    if (elem.first->getClientID() == NETWORK_PEER_ID_UNKNOWN)
+                    if (mapEntry.first->getClientID() == NETWORK_PEER_ID_UNKNOWN)
                         continue;
-                    this->gtinfo_->sendStaticMessage("Selection phase: Shoot at everything that moves.",elem.first->getClientID(),ColourValue(1.0f, 1.0f, 0.5f));
+                    this->gtinfo_->sendStaticMessage("Selection phase: Shoot at everything that moves.",mapEntry.first->getClientID(),ColourValue(1.0f, 1.0f, 0.5f));
                 }
             }
@@ -555,26 +555,26 @@
              if(tutorial&&(!notEnoughPigs)&&(!notEnoughKillers)) //Selection phase over
              {
-                  for (auto & elem : this->playerParty_)
+                  for (auto& mapEntry : this->playerParty_)
                   {
-                       if (!elem.first)
+                       if (!mapEntry.first)
                            continue;
-                       if (elem.first->getClientID() == NETWORK_PEER_ID_UNKNOWN)
+                       if (mapEntry.first->getClientID() == NETWORK_PEER_ID_UNKNOWN)
                            continue;
-                       else if (elem.second==chaser)
+                       else if (mapEntry.second==chaser)
                        {
                            if (numberOf[killer]>0)
-                               this->gtinfo_->sendStaticMessage("Shoot at the victim as often as possible. Defend yourself against the killers.",elem.first->getClientID(),partyColours_[piggy]);
+                               this->gtinfo_->sendStaticMessage("Shoot at the victim as often as possible. Defend yourself against the killers.",mapEntry.first->getClientID(),partyColours_[piggy]);
                            else
-                               this->gtinfo_->sendStaticMessage("Shoot at the victim as often as possible.",elem.first->getClientID(),partyColours_[piggy]);
+                               this->gtinfo_->sendStaticMessage("Shoot at the victim as often as possible.",mapEntry.first->getClientID(),partyColours_[piggy]);
                            //this->gtinfo_->sendFadingMessage("You're now a chaser.",it->first->getClientID());
                        }
-                       else if (elem.second==piggy)
-                       {
-                           this->gtinfo_->sendStaticMessage("Either hide or shoot a chaser.",elem.first->getClientID(),partyColours_[chaser]);
+                       else if (mapEntry.second==piggy)
+                       {
+                           this->gtinfo_->sendStaticMessage("Either hide or shoot a chaser.",mapEntry.first->getClientID(),partyColours_[chaser]);
                            //this->gtinfo_->sendFadingMessage("You're now a victim.",it->first->getClientID());
                        }
-                       else if (elem.second==killer)
-                       {
-                           this->gtinfo_->sendStaticMessage("Take the chasers down.",elem.first->getClientID(),partyColours_[chaser]);
+                       else if (mapEntry.second==killer)
+                       {
+                           this->gtinfo_->sendStaticMessage("Take the chasers down.",mapEntry.first->getClientID(),partyColours_[chaser]);
                            //this->gtinfo_->sendFadingMessage("You're now a killer.",it->first->getClientID());
                        }
@@ -620,9 +620,9 @@
         else if(tutorial) // Announce selectionphase
         {
-            for (auto & elem : this->playerParty_)
-            {
-                if (elem.first->getClientID() == NETWORK_PEER_ID_UNKNOWN)
+            for (auto& mapEntry : this->playerParty_)
+            {
+                if (mapEntry.first->getClientID() == NETWORK_PEER_ID_UNKNOWN)
                     continue;
-                this->gtinfo_->sendStaticMessage("Selection phase: Shoot at everything that moves.",elem.first->getClientID(),ColourValue(1.0f, 1.0f, 0.5f));
+                this->gtinfo_->sendStaticMessage("Selection phase: Shoot at everything that moves.",mapEntry.first->getClientID(),ColourValue(1.0f, 1.0f, 0.5f));
             }
         }
@@ -676,8 +676,8 @@
             unsigned int randomspawn = static_cast<unsigned int>(rnd(static_cast<float>(teamSpawnPoints.size())));
             unsigned int index = 0;
-            for (const auto & teamSpawnPoint : teamSpawnPoints)
+            for (SpawnPoint* teamSpawnPoint : teamSpawnPoints)
             {
                 if (index == randomspawn)
-                    return (teamSpawnPoint);
+                    return teamSpawnPoint;
 
                 ++index;
Index: code/branches/cpp11_v2/src/orxonox/gametypes/Gametype.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gametypes/Gametype.cc	(revision 10845)
+++ code/branches/cpp11_v2/src/orxonox/gametypes/Gametype.cc	(revision 10916)
@@ -139,9 +139,9 @@
         if (!this->gtinfo_->hasStarted())
         {
-            for (auto & elem : this->players_)
+            for (auto& mapEntry : this->players_)
             {
                 // Inform the GametypeInfo that the player is ready to spawn.
-                if(elem.first->isHumanPlayer() && elem.first->isReadyToSpawn())
-                    this->gtinfo_->playerReadyToSpawn(elem.first);
+                if(mapEntry.first->isHumanPlayer() && mapEntry.first->isReadyToSpawn())
+                    this->gtinfo_->playerReadyToSpawn(mapEntry.first);
             }
 
@@ -169,9 +169,9 @@
         }
 
-        for (auto & elem : this->players_)
-        {
-            if (elem.first->getControllableEntity())
-            {
-                ControllableEntity* oldentity = elem.first->getControllableEntity();
+        for (auto& mapEntry : this->players_)
+        {
+            if (mapEntry.first->getControllableEntity())
+            {
+                ControllableEntity* oldentity = mapEntry.first->getControllableEntity();
 
                 ControllableEntity* entity = this->defaultControllableEntity_.fabricate(oldentity->getContext());
@@ -186,8 +186,8 @@
                     entity->setOrientation(oldentity->getWorldOrientation());
                 }
-                elem.first->startControl(entity);
+                mapEntry.first->startControl(entity);
             }
             else
-                this->spawnPlayerAsDefaultPawn(elem.first);
+                this->spawnPlayerAsDefaultPawn(mapEntry.first);
         }
     }
@@ -341,11 +341,11 @@
             unsigned int index = 0;
             std::vector<SpawnPoint*> activeSpawnPoints;
-            for (const auto & elem : this->spawnpoints_)
+            for (SpawnPoint* spawnpoint : this->spawnpoints_)
             {
                 if (index == randomspawn)
-                    fallbackSpawnPoint = (elem);
-
-                if (elem != nullptr && (elem)->isActive())
-                    activeSpawnPoints.push_back(elem);
+                    fallbackSpawnPoint = spawnpoint;
+
+                if (spawnpoint != nullptr && spawnpoint->isActive())
+                    activeSpawnPoints.push_back(spawnpoint);
 
                 ++index;
@@ -366,14 +366,14 @@
     void Gametype::assignDefaultPawnsIfNeeded()
     {
-        for (auto & elem : this->players_)
-        {
-            if (!elem.first->getControllableEntity())
-            {
-                elem.second.state_ = PlayerState::Dead;
-
-                if (!elem.first->isReadyToSpawn() || !this->gtinfo_->hasStarted())
-                {
-                    this->spawnPlayerAsDefaultPawn(elem.first);
-                    elem.second.state_ = PlayerState::Dead;
+        for (auto& mapEntry : this->players_)
+        {
+            if (!mapEntry.first->getControllableEntity())
+            {
+                mapEntry.second.state_ = PlayerState::Dead;
+
+                if (!mapEntry.first->isReadyToSpawn() || !this->gtinfo_->hasStarted())
+                {
+                    this->spawnPlayerAsDefaultPawn(mapEntry.first);
+                    mapEntry.second.state_ = PlayerState::Dead;
                 }
             }
@@ -404,9 +404,9 @@
                     bool allplayersready = true;
                     bool hashumanplayers = false;
-                    for (auto & elem : this->players_)
+                    for (auto& mapEntry : this->players_)
                     {
-                        if (!elem.first->isReadyToSpawn())
+                        if (!mapEntry.first->isReadyToSpawn())
                             allplayersready = false;
-                        if (elem.first->isHumanPlayer())
+                        if (mapEntry.first->isHumanPlayer())
                             hashumanplayers = true;
                     }
@@ -430,8 +430,8 @@
     void Gametype::spawnPlayersIfRequested()
     {
-        for (auto & elem : this->players_)
-        {
-            if (elem.first->isReadyToSpawn() || this->bForceSpawn_)
-                this->spawnPlayer(elem.first);
+        for (auto& mapEntry : this->players_)
+        {
+            if (mapEntry.first->isReadyToSpawn() || this->bForceSpawn_)
+                this->spawnPlayer(mapEntry.first);
         }
     }
@@ -439,8 +439,8 @@
     void Gametype::spawnDeadPlayersIfRequested()
     {
-        for (auto & elem : this->players_)
-            if (elem.second.state_ == PlayerState::Dead)
-                if (elem.first->isReadyToSpawn() || this->bForceSpawn_)
-                    this->spawnPlayer(elem.first);
+        for (auto& mapEntry : this->players_)
+            if (mapEntry.second.state_ == PlayerState::Dead)
+                if (mapEntry.first->isReadyToSpawn() || this->bForceSpawn_)
+                    this->spawnPlayer(mapEntry.first);
     }
 
@@ -538,9 +538,9 @@
     GSLevelMementoState* Gametype::exportMementoState()
     {
-        for (auto & elem : this->players_)
-        {
-            if (elem.first->isHumanPlayer() && elem.first->getControllableEntity() && elem.first->getControllableEntity()->getCamera())
-            {
-                Camera* camera = elem.first->getControllableEntity()->getCamera();
+        for (auto& mapEntry : this->players_)
+        {
+            if (mapEntry.first->isHumanPlayer() && mapEntry.first->getControllableEntity() && mapEntry.first->getControllableEntity()->getCamera())
+            {
+                Camera* camera = mapEntry.first->getControllableEntity()->getCamera();
 
                 GametypeMementoState* state = new GametypeMementoState();
@@ -559,7 +559,7 @@
         // find correct memento state
         GametypeMementoState* state = nullptr;
-        for (auto & states_i : states)
-        {
-            state = dynamic_cast<GametypeMementoState*>(states_i);
+        for (GSLevelMementoState* temp : states)
+        {
+            state = dynamic_cast<GametypeMementoState*>(temp);
             if (state)
                 break;
@@ -587,12 +587,12 @@
 
         // find correct player and assign default entity with original position & orientation
-        for (auto & elem : this->players_)
-        {
-            if (elem.first->isHumanPlayer())
+        for (auto& mapEntry : this->players_)
+        {
+            if (mapEntry.first->isHumanPlayer())
             {
                 ControllableEntity* entity = this->defaultControllableEntity_.fabricate(scene->getContext());
                 entity->setPosition(state->cameraPosition_);
                 entity->setOrientation(state->cameraOrientation_);
-                elem.first->startControl(entity);
+                mapEntry.first->startControl(entity);
                 break;
             }
Index: code/branches/cpp11_v2/src/orxonox/gametypes/LastManStanding.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gametypes/LastManStanding.cc	(revision 10845)
+++ code/branches/cpp11_v2/src/orxonox/gametypes/LastManStanding.cc	(revision 10916)
@@ -56,11 +56,11 @@
     void LastManStanding::spawnDeadPlayersIfRequested()
     {
-        for (auto & elem : this->players_)
-            if (elem.second.state_ == PlayerState::Dead)
-            {
-                bool alive = (0<playerLives_[elem.first]&&(inGame_[elem.first]));
-                if (alive&&(elem.first->isReadyToSpawn() || this->bForceSpawn_))
-                {
-                    this->spawnPlayer(elem.first);
+        for (auto& mapEntry : this->players_)
+            if (mapEntry.second.state_ == PlayerState::Dead)
+            {
+                bool alive = (0<playerLives_[mapEntry.first]&&(inGame_[mapEntry.first]));
+                if (alive&&(mapEntry.first->isReadyToSpawn() || this->bForceSpawn_))
+                {
+                    this->spawnPlayer(mapEntry.first);
                 }
             }
@@ -114,10 +114,10 @@
     {
         int min=lives;
-        for (auto & elem : this->playerLives_)
-        {
-            if (elem.second<=0)
+        for (auto& mapEntry : this->playerLives_)
+        {
+            if (mapEntry.second<=0)
                 continue;
-            if (elem.second<lives)
-                min=elem.second;
+            if (mapEntry.second<lives)
+                min=mapEntry.second;
         }
         return min;
@@ -128,13 +128,13 @@
         Gametype::end();
 
-        for (auto & elem : this->playerLives_)
-        {
-            if (elem.first->getClientID() == NETWORK_PEER_ID_UNKNOWN)
+        for (auto& mapEntry : this->playerLives_)
+        {
+            if (mapEntry.first->getClientID() == NETWORK_PEER_ID_UNKNOWN)
                 continue;
 
-            if (elem.second > 0)
-                this->gtinfo_->sendAnnounceMessage("You have won the match!", elem.first->getClientID());
+            if (mapEntry.second > 0)
+                this->gtinfo_->sendAnnounceMessage("You have won the match!", mapEntry.first->getClientID());
             else
-                this->gtinfo_->sendAnnounceMessage("You have lost the match!", elem.first->getClientID());
+                this->gtinfo_->sendAnnounceMessage("You have lost the match!", mapEntry.first->getClientID());
         }
     }
@@ -237,39 +237,39 @@
                 this->end();
             }
-            for (auto & elem : this->timeToAct_)
-            {
-                if (playerGetLives(elem.first)<=0)//Players without lives shouldn't be affected by time.
+            for (auto& mapEntry : this->timeToAct_)
+            {
+                if (playerGetLives(mapEntry.first)<=0)//Players without lives shouldn't be affected by time.
                     continue;
-                elem.second-=dt;//Decreases punishment time.
-                if (!inGame_[elem.first])//Manages respawn delay - player is forced to respawn after the delaytime is used up.
-                {
-                    playerDelayTime_[elem.first]-=dt;
-                    if (playerDelayTime_[elem.first]<=0)
-                    this->inGame_[elem.first]=true;
-
-                    if (elem.first->getClientID()== NETWORK_PEER_ID_UNKNOWN)
+                mapEntry.second-=dt;//Decreases punishment time.
+                if (!inGame_[mapEntry.first])//Manages respawn delay - player is forced to respawn after the delaytime is used up.
+                {
+                    playerDelayTime_[mapEntry.first]-=dt;
+                    if (playerDelayTime_[mapEntry.first]<=0)
+                    this->inGame_[mapEntry.first]=true;
+
+                    if (mapEntry.first->getClientID()== NETWORK_PEER_ID_UNKNOWN)
                         continue;
-                    int output=1+(int)playerDelayTime_[elem.first];
+                    int output=1+(int)playerDelayTime_[mapEntry.first];
                     const std::string& message = "Respawn in " +multi_cast<std::string>(output)+ " seconds." ;//Countdown
-                    this->gtinfo_->sendFadingMessage(message,elem.first->getClientID());
-                }
-                else if (elem.second<0.0f)
-                {
-                    elem.second=timeRemaining+3.0f;//reset punishment-timer
-                    if (playerGetLives(elem.first)>0)
+                    this->gtinfo_->sendFadingMessage(message,mapEntry.first->getClientID());
+                }
+                else if (mapEntry.second<0.0f)
+                {
+                    mapEntry.second=timeRemaining+3.0f;//reset punishment-timer
+                    if (playerGetLives(mapEntry.first)>0)
                     {
-                        this->punishPlayer(elem.first);
-                        if (elem.first->getClientID()== NETWORK_PEER_ID_UNKNOWN)
+                        this->punishPlayer(mapEntry.first);
+                        if (mapEntry.first->getClientID()== NETWORK_PEER_ID_UNKNOWN)
                             return;
                         const std::string& message = ""; // resets Camper-Warning-message
-                        this->gtinfo_->sendFadingMessage(message,elem.first->getClientID());
+                        this->gtinfo_->sendFadingMessage(message,mapEntry.first->getClientID());
                     }
                 }
-                else if (elem.second<timeRemaining/5)//Warning message
-                {
-                    if (elem.first->getClientID()== NETWORK_PEER_ID_UNKNOWN)
+                else if (mapEntry.second<timeRemaining/5)//Warning message
+                {
+                    if (mapEntry.first->getClientID()== NETWORK_PEER_ID_UNKNOWN)
                         continue;
                     const std::string& message = "Camper Warning! Don't forget to shoot.";
-                    this->gtinfo_->sendFadingMessage(message,elem.first->getClientID());
+                    this->gtinfo_->sendFadingMessage(message,mapEntry.first->getClientID());
                 }
             }
Index: code/branches/cpp11_v2/src/orxonox/gametypes/LastTeamStanding.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gametypes/LastTeamStanding.cc	(revision 10845)
+++ code/branches/cpp11_v2/src/orxonox/gametypes/LastTeamStanding.cc	(revision 10916)
@@ -145,11 +145,11 @@
     void LastTeamStanding::spawnDeadPlayersIfRequested()
     {
-        for (auto & elem : this->players_)
-            if (elem.second.state_ == PlayerState::Dead)
-            {
-                bool alive = (0 < playerLives_[elem.first]&&(inGame_[elem.first]));
-                if (alive&&(elem.first->isReadyToSpawn() || this->bForceSpawn_))
-                {
-                    this->spawnPlayer(elem.first);
+        for (auto& mapEntry : this->players_)
+            if (mapEntry.second.state_ == PlayerState::Dead)
+            {
+                bool alive = (0 < playerLives_[mapEntry.first]&&(inGame_[mapEntry.first]));
+                if (alive&&(mapEntry.first->isReadyToSpawn() || this->bForceSpawn_))
+                {
+                    this->spawnPlayer(mapEntry.first);
                 }
             }
@@ -184,39 +184,39 @@
                 this->end();
             }
-            for (auto & elem : this->timeToAct_)
-            {
-                if (playerGetLives(elem.first) <= 0)//Players without lives shouldn't be affected by time.
+            for (auto& mapEntry : this->timeToAct_)
+            {
+                if (playerGetLives(mapEntry.first) <= 0)//Players without lives shouldn't be affected by time.
                     continue;
-                elem.second -= dt;//Decreases punishment time.
-                if (!inGame_[elem.first])//Manages respawn delay - player is forced to respawn after the delaytime is used up.
-                {
-                    playerDelayTime_[elem.first] -= dt;
-                    if (playerDelayTime_[elem.first] <= 0)
-                    this->inGame_[elem.first] = true;
-
-                    if (elem.first->getClientID()== NETWORK_PEER_ID_UNKNOWN)
+                mapEntry.second -= dt;//Decreases punishment time.
+                if (!inGame_[mapEntry.first])//Manages respawn delay - player is forced to respawn after the delaytime is used up.
+                {
+                    playerDelayTime_[mapEntry.first] -= dt;
+                    if (playerDelayTime_[mapEntry.first] <= 0)
+                    this->inGame_[mapEntry.first] = true;
+
+                    if (mapEntry.first->getClientID()== NETWORK_PEER_ID_UNKNOWN)
                         continue;
-                    int output = 1 + (int)playerDelayTime_[elem.first];
+                    int output = 1 + (int)playerDelayTime_[mapEntry.first];
                     const std::string& message = "Respawn in " +multi_cast<std::string>(output)+ " seconds." ;//Countdown
-                    this->gtinfo_->sendFadingMessage(message,elem.first->getClientID());
-                }
-                else if (elem.second < 0.0f)
-                {
-                    elem.second = timeRemaining + 3.0f;//reset punishment-timer
-                    if (playerGetLives(elem.first) > 0)
+                    this->gtinfo_->sendFadingMessage(message,mapEntry.first->getClientID());
+                }
+                else if (mapEntry.second < 0.0f)
+                {
+                    mapEntry.second = timeRemaining + 3.0f;//reset punishment-timer
+                    if (playerGetLives(mapEntry.first) > 0)
                     {
-                        this->punishPlayer(elem.first);
-                        if (elem.first->getClientID() == NETWORK_PEER_ID_UNKNOWN)
+                        this->punishPlayer(mapEntry.first);
+                        if (mapEntry.first->getClientID() == NETWORK_PEER_ID_UNKNOWN)
                             return;
                         const std::string& message = ""; // resets Camper-Warning-message
-                        this->gtinfo_->sendFadingMessage(message, elem.first->getClientID());
+                        this->gtinfo_->sendFadingMessage(message, mapEntry.first->getClientID());
                     }
                 }
-                else if (elem.second < timeRemaining/5)//Warning message
-                {
-                  if (elem.first->getClientID()== NETWORK_PEER_ID_UNKNOWN)
+                else if (mapEntry.second < timeRemaining/5)//Warning message
+                {
+                  if (mapEntry.first->getClientID()== NETWORK_PEER_ID_UNKNOWN)
                         continue;
                     const std::string& message = "Camper Warning! Don't forget to shoot.";
-                    this->gtinfo_->sendFadingMessage(message, elem.first->getClientID());
+                    this->gtinfo_->sendFadingMessage(message, mapEntry.first->getClientID());
                 }
             }
@@ -229,13 +229,13 @@
         int party = -1;
         //find a player who survived
-        for (auto & elem : this->playerLives_)
-        {
-          if (elem.first->getClientID() == NETWORK_PEER_ID_UNKNOWN)
+        for (auto& mapEntry : this->playerLives_)
+        {
+          if (mapEntry.first->getClientID() == NETWORK_PEER_ID_UNKNOWN)
                 continue;
 
-            if (elem.second > 0)//a player that is alive
+            if (mapEntry.second > 0)//a player that is alive
             {
                 //which party has survived?
-                std::map<PlayerInfo*, int>::iterator it2 = this->teamnumbers_.find(elem.first);
+                std::map<PlayerInfo*, int>::iterator it2 = this->teamnumbers_.find(mapEntry.first);
                 if (it2 != this->teamnumbers_.end())
                 {
@@ -255,10 +255,10 @@
     {
         int min = lives;
-        for (auto & elem : this->playerLives_)
-        {
-            if (elem.second <= 0)
+        for (auto& mapEntry : this->playerLives_)
+        {
+            if (mapEntry.second <= 0)
                 continue;
-            if (elem.second < lives)
-                min = elem.second;
+            if (mapEntry.second < lives)
+                min = mapEntry.second;
         }
         return min;
Index: code/branches/cpp11_v2/src/orxonox/gametypes/TeamBaseMatch.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gametypes/TeamBaseMatch.cc	(revision 10845)
+++ code/branches/cpp11_v2/src/orxonox/gametypes/TeamBaseMatch.cc	(revision 10916)
@@ -152,11 +152,11 @@
         int amountControlled2 = 0;
 
-        for (const auto & elem : this->bases_)
-        {
-            if((elem)->getState() == BaseState::ControlTeam1)
+        for (TeamBaseMatchBase* base : this->bases_)
+        {
+            if(base->getState() == BaseState::ControlTeam1)
             {
                 amountControlled++;
             }
-            if((elem)->getState() == BaseState::ControlTeam2)
+            if(base->getState() == BaseState::ControlTeam2)
             {
                 amountControlled2++;
@@ -187,13 +187,13 @@
             }
 
-            for (auto & elem : this->teamnumbers_)
-            {
-                if (elem.first->getClientID() == NETWORK_PEER_ID_UNKNOWN)
+            for (auto& mapEntry : this->teamnumbers_)
+            {
+                if (mapEntry.first->getClientID() == NETWORK_PEER_ID_UNKNOWN)
                     continue;
 
-                if (elem.second == winningteam)
-                    this->gtinfo_->sendAnnounceMessage("You have won the match!", elem.first->getClientID());
+                if (mapEntry.second == winningteam)
+                    this->gtinfo_->sendAnnounceMessage("You have won the match!", mapEntry.first->getClientID());
                 else
-                    this->gtinfo_->sendAnnounceMessage("You have lost the match!", elem.first->getClientID());
+                    this->gtinfo_->sendAnnounceMessage("You have lost the match!", mapEntry.first->getClientID());
             }
 
@@ -238,9 +238,9 @@
         int count = 0;
 
-        for (const auto & elem : this->bases_)
-        {
-            if ((elem)->getState() == BaseState::ControlTeam1 && team == 0)
+        for (TeamBaseMatchBase* base : this->bases_)
+        {
+            if (base->getState() == BaseState::ControlTeam1 && team == 0)
                 count++;
-            if ((elem)->getState() == BaseState::ControlTeam2 && team == 1)
+            if (base->getState() == BaseState::ControlTeam2 && team == 1)
                 count++;
         }
@@ -258,9 +258,9 @@
     {
         unsigned int i = 0;
-        for (const auto & elem : this->bases_)
+        for (TeamBaseMatchBase* base : this->bases_)
         {
             i++;
             if (i > index)
-                return (elem);
+                return base;
         }
         return nullptr;
Index: code/branches/cpp11_v2/src/orxonox/gametypes/TeamDeathmatch.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gametypes/TeamDeathmatch.cc	(revision 10845)
+++ code/branches/cpp11_v2/src/orxonox/gametypes/TeamDeathmatch.cc	(revision 10916)
@@ -69,10 +69,10 @@
         int winnerTeam = 0;
         int highestScore = 0;
-        for (auto & elem : this->players_)
+        for (auto& mapEntry : this->players_)
         {
-            if ( this->getTeamScore(elem.first) > highestScore )
+            if ( this->getTeamScore(mapEntry.first) > highestScore )
             {
-                winnerTeam = this->getTeam(elem.first);
-                highestScore = this->getTeamScore(elem.first);
+                winnerTeam = this->getTeam(mapEntry.first);
+                highestScore = this->getTeamScore(mapEntry.first);
             }
         }
Index: code/branches/cpp11_v2/src/orxonox/gametypes/TeamGametype.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gametypes/TeamGametype.cc	(revision 10845)
+++ code/branches/cpp11_v2/src/orxonox/gametypes/TeamGametype.cc	(revision 10916)
@@ -99,7 +99,7 @@
         std::vector<unsigned int> playersperteam(this->teams_, 0);
 
-        for (auto & elem : this->teamnumbers_)
-            if (elem.second < static_cast<int>(this->teams_) && elem.second >= 0)
-                playersperteam[elem.second]++;
+        for (auto& mapEntry : this->teamnumbers_)
+            if (mapEntry.second < static_cast<int>(this->teams_) && mapEntry.second >= 0)
+                playersperteam[mapEntry.second]++;
 
         unsigned int minplayers = static_cast<unsigned int>(-1);
@@ -123,8 +123,8 @@
         if( (this->players_.size() >= maxPlayers_) && (allowedInGame_[player] == true) ) // if there's a "waiting list"
         {
-            for (auto & elem : this->allowedInGame_)
-            {
-                 if(elem.second == false) // waiting player found
-                 {elem.second = true; break;} // allow player to enter
+            for (auto& mapEntry : this->allowedInGame_)
+            {
+                 if(mapEntry.second == false) // waiting player found
+                 {mapEntry.second = true; break;} // allow player to enter
             }
         }
@@ -141,15 +141,15 @@
     void TeamGametype::spawnDeadPlayersIfRequested()
     {
-        for (auto & elem : this->players_)\
-        {
-            if(allowedInGame_[elem.first] == false)//check if dead player is allowed to enter
+        for (auto& mapEntry : this->players_)\
+        {
+            if(allowedInGame_[mapEntry.first] == false)//check if dead player is allowed to enter
             {
                 continue;
             }
-            if (elem.second.state_ == PlayerState::Dead)
-            {
-                if ((elem.first->isReadyToSpawn() || this->bForceSpawn_))
+            if (mapEntry.second.state_ == PlayerState::Dead)
+            {
+                if ((mapEntry.first->isReadyToSpawn() || this->bForceSpawn_))
                 {
-                   this->spawnPlayer(elem.first);
+                   this->spawnPlayer(mapEntry.first);
                 }
             }
@@ -178,9 +178,9 @@
         if(!player || this->getTeam(player) == -1)
             return 0;
-        for (auto & elem : this->players_)
-        {
-            if ( this->getTeam(elem.first) ==  this->getTeam(player) )
-            {
-                teamscore += elem.second.frags_;
+        for (auto& mapEntry : this->players_)
+        {
+            if ( this->getTeam(mapEntry.first) ==  this->getTeam(player) )
+            {
+                teamscore += mapEntry.second.frags_;
             }
         }
@@ -191,7 +191,7 @@
     {
         int teamSize = 0;
-        for (auto & elem : this->teamnumbers_)
-        {
-            if (elem.second == team)
+        for (auto& mapEntry : this->teamnumbers_)
+        {
+            if (mapEntry.second == team)
                 teamSize++;
         }
@@ -202,7 +202,7 @@
     {
         int teamSize = 0;
-        for (auto & elem : this->teamnumbers_)
-        {
-            if (elem.second == team  && elem.first->isHumanPlayer())
+        for (auto& mapEntry : this->teamnumbers_)
+        {
+            if (mapEntry.second == team  && mapEntry.first->isHumanPlayer())
                 teamSize++;
         }
@@ -241,9 +241,9 @@
             unsigned int index = 0;
             // Get random fallback spawnpoint in case there is no active SpawnPoint.
-            for (const auto & teamSpawnPoint : teamSpawnPoints)
+            for (SpawnPoint* teamSpawnPoint : teamSpawnPoints)
             {
                 if (index == randomspawn)
                 {
-                    fallbackSpawnPoint = (teamSpawnPoint);
+                    fallbackSpawnPoint = teamSpawnPoint;
                     break;
                 }
@@ -266,8 +266,8 @@
             randomspawn = static_cast<unsigned int>(rnd(static_cast<float>(teamSpawnPoints.size())));
             index = 0;
-            for (const auto & teamSpawnPoint : teamSpawnPoints)
+            for (SpawnPoint* teamSpawnPoint : teamSpawnPoints)
             {
                 if (index == randomspawn)
-                    return (teamSpawnPoint);
+                    return teamSpawnPoint;
 
                 ++index;
@@ -364,7 +364,7 @@
 
         std::set<WorldEntity*> pawnAttachments = pawn->getAttachedObjects();
-        for (const auto & pawnAttachment : pawnAttachments)
-        {
-            if ((pawnAttachment)->isA(Class(TeamColourable)))
+        for (WorldEntity* pawnAttachment : pawnAttachments)
+        {
+            if (pawnAttachment->isA(Class(TeamColourable)))
             {
                 TeamColourable* tc = orxonox_cast<TeamColourable*>(pawnAttachment);
@@ -376,15 +376,15 @@
     void TeamGametype::announceTeamWin(int winnerTeam)
     {
-        for (auto & elem : this->teamnumbers_)
-        {
-            if (elem.first->getClientID() == NETWORK_PEER_ID_UNKNOWN)
+        for (auto& mapEntry : this->teamnumbers_)
+        {
+            if (mapEntry.first->getClientID() == NETWORK_PEER_ID_UNKNOWN)
                 continue;
-            if (elem.second == winnerTeam)
-            {
-                this->gtinfo_->sendAnnounceMessage("Your team has won the match!", elem.first->getClientID());
+            if (mapEntry.second == winnerTeam)
+            {
+                this->gtinfo_->sendAnnounceMessage("Your team has won the match!", mapEntry.first->getClientID());
             }
             else
             {
-                this->gtinfo_->sendAnnounceMessage("Your team has lost the match!", elem.first->getClientID());
+                this->gtinfo_->sendAnnounceMessage("Your team has lost the match!", mapEntry.first->getClientID());
             }
         }   
Index: code/branches/cpp11_v2/src/orxonox/gametypes/UnderAttack.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gametypes/UnderAttack.cc	(revision 10845)
+++ code/branches/cpp11_v2/src/orxonox/gametypes/UnderAttack.cc	(revision 10916)
@@ -74,13 +74,13 @@
         this->gameEnded_ = true;
 
-        for (auto & elem : this->teamnumbers_)
-        {
-            if (elem.first->getClientID() == NETWORK_PEER_ID_UNKNOWN)
+        for (auto& mapEntry : this->teamnumbers_)
+        {
+            if (mapEntry.first->getClientID() == NETWORK_PEER_ID_UNKNOWN)
                 continue;
 
-            if (elem.second == attacker_)
-                this->gtinfo_->sendAnnounceMessage("You have won the match!", elem.first->getClientID());
+            if (mapEntry.second == attacker_)
+                this->gtinfo_->sendAnnounceMessage("You have won the match!", mapEntry.first->getClientID());
             else
-                this->gtinfo_->sendAnnounceMessage("You have lost the match!", elem.first->getClientID());
+                this->gtinfo_->sendAnnounceMessage("You have lost the match!", mapEntry.first->getClientID());
         }
     }
@@ -155,13 +155,13 @@
                 ChatManager::message(message);
 
-                for (auto & elem : this->teamnumbers_)
-                {
-                    if (elem.first->getClientID() == NETWORK_PEER_ID_UNKNOWN)
+                for (auto& mapEntry : this->teamnumbers_)
+                {
+                    if (mapEntry.first->getClientID() == NETWORK_PEER_ID_UNKNOWN)
                         continue;
 
-                    if (elem.second == 1)
-                        this->gtinfo_->sendAnnounceMessage("You have won the match!", elem.first->getClientID());
+                    if (mapEntry.second == 1)
+                        this->gtinfo_->sendAnnounceMessage("You have won the match!", mapEntry.first->getClientID());
                     else
-                        this->gtinfo_->sendAnnounceMessage("You have lost the match!", elem.first->getClientID());
+                        this->gtinfo_->sendAnnounceMessage("You have lost the match!", mapEntry.first->getClientID());
                 }
             }
Index: code/branches/cpp11_v2/src/orxonox/interfaces/PickupCarrier.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/interfaces/PickupCarrier.cc	(revision 10845)
+++ code/branches/cpp11_v2/src/orxonox/interfaces/PickupCarrier.cc	(revision 10916)
@@ -135,9 +135,9 @@
         // Go recursively through all children to check whether they are the target.
         std::vector<PickupCarrier*>* children = this->getCarrierChildren();
-        for(auto & elem : *children)
+        for(PickupCarrier* child : *children)
         {
-            if(pickup->isTarget(elem))
+            if(pickup->isTarget(child))
             {
-                target = elem;
+                target = child;
                 break;
             }
Index: code/branches/cpp11_v2/src/orxonox/interfaces/Pickupable.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/interfaces/Pickupable.cc	(revision 10845)
+++ code/branches/cpp11_v2/src/orxonox/interfaces/Pickupable.cc	(revision 10916)
@@ -160,7 +160,7 @@
     {
         // Iterate through all targets of this Pickupable.
-        for(const auto & elem : this->targets_)
+        for(Identifier* target : this->targets_)
         {
-            if(identifier->isA(elem))
+            if(identifier->isA(target))
                 return true;
         }
Index: code/branches/cpp11_v2/src/orxonox/items/MultiStateEngine.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/items/MultiStateEngine.cc	(revision 10845)
+++ code/branches/cpp11_v2/src/orxonox/items/MultiStateEngine.cc	(revision 10916)
@@ -219,8 +219,8 @@
     {
         unsigned int i = 0;
-        for (const auto & elem : this->effectContainers_)
+        for (EffectContainer* effectContainer : this->effectContainers_)
         {
             if (i == index)
-                return (elem);
+                return effectContainer;
             i++;
         }
Index: code/branches/cpp11_v2/src/orxonox/items/ShipPart.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/items/ShipPart.cc	(revision 10845)
+++ code/branches/cpp11_v2/src/orxonox/items/ShipPart.cc	(revision 10916)
@@ -143,12 +143,12 @@
     @brief
         Check whether the ShipPart has a particular Entity.
-    @param engine
+    @param search
         A pointer to the Entity to be checked.
     */
-    bool ShipPart::hasEntity(StaticEntity* entity) const
-    {
-        for(auto & elem : this->entityList_)
-        {
-            if(elem == entity)
+    bool ShipPart::hasEntity(StaticEntity* search) const
+    {
+        for(StaticEntity* entity : this->entityList_)
+        {
+            if(entity == search)
                 return true;
         }
Index: code/branches/cpp11_v2/src/orxonox/overlays/OverlayGroup.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/overlays/OverlayGroup.cc	(revision 10845)
+++ code/branches/cpp11_v2/src/orxonox/overlays/OverlayGroup.cc	(revision 10916)
@@ -62,6 +62,6 @@
     OverlayGroup::~OverlayGroup()
     {
-        for (const auto & elem : hudElements_)
-            (elem)->destroy();
+        for (OrxonoxOverlay* hudElement : hudElements_)
+            hudElement->destroy();
         this->hudElements_.clear();
     }
@@ -86,6 +86,6 @@
     void OverlayGroup::setScale(const Vector2& scale)
     {
-        for (const auto & elem : hudElements_)
-            (elem)->scale(scale / this->scale_);
+        for (OrxonoxOverlay* hudElement : hudElements_)
+            hudElement->scale(scale / this->scale_);
         this->scale_ = scale;
     }
@@ -94,6 +94,6 @@
     void OverlayGroup::setScroll(const Vector2& scroll)
     {
-        for (const auto & elem : hudElements_)
-            (elem)->scroll(scroll - this->scroll_);
+        for (OrxonoxOverlay* hudElement : hudElements_)
+            hudElement->scroll(scroll - this->scroll_);
         this->scroll_ = scroll;
     }
@@ -147,6 +147,6 @@
         SUPER( OverlayGroup, changedVisibility );
 
-        for (const auto & elem : hudElements_)
-            (elem)->changedVisibility(); //inform all Child Overlays that our visibility has changed
+        for (OrxonoxOverlay* hudElement : hudElements_)
+            hudElement->changedVisibility(); //inform all Child Overlays that our visibility has changed
     }
 
@@ -155,6 +155,6 @@
         this->owner_ = owner;
 
-        for (const auto & elem : hudElements_)
-            (elem)->setOwner(owner);
+        for (OrxonoxOverlay* hudElement : hudElements_)
+            hudElement->setOwner(owner);
     }
 
Index: code/branches/cpp11_v2/src/orxonox/sound/SoundManager.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/sound/SoundManager.cc	(revision 10845)
+++ code/branches/cpp11_v2/src/orxonox/sound/SoundManager.cc	(revision 10916)
@@ -407,10 +407,10 @@
         if (ambient != nullptr)
         {
-            for (auto & elem : this->ambientSounds_)
-            {
-                if (elem.first == ambient)
+            for (std::pair<AmbientSound*, bool>& pair : this->ambientSounds_)
+            {
+                if (pair.first == ambient)
                 {
-                    elem.second = true;
-                    this->fadeOut(elem.first);
+                    pair.second = true;
+                    this->fadeOut(pair.first);
                     return;
                 }
Index: code/branches/cpp11_v2/src/orxonox/sound/SoundStreamer.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/sound/SoundStreamer.cc	(revision 10845)
+++ code/branches/cpp11_v2/src/orxonox/sound/SoundStreamer.cc	(revision 10916)
@@ -68,5 +68,5 @@
         int current_section;
 
-        for(auto & initbuffer : initbuffers)
+        for(ALuint& initbuffer : initbuffers)
         {
             long ret = ov_read(&vf, inbuffer, sizeof(inbuffer), 0, 2, 1, &current_section);
Index: code/branches/cpp11_v2/src/orxonox/weaponsystem/Munition.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/weaponsystem/Munition.cc	(revision 10845)
+++ code/branches/cpp11_v2/src/orxonox/weaponsystem/Munition.cc	(revision 10916)
@@ -55,6 +55,6 @@
     Munition::~Munition()
     {
-        for (auto & elem : this->currentMagazines_)
-            delete elem.second;
+        for (auto& mapEntry : this->currentMagazines_)
+            delete mapEntry.second;
     }
 
@@ -268,6 +268,6 @@
         {
             // Return true if any of the current magazines is not full (loading counts as full although it returns 0 munition)
-            for (const auto & elem : this->currentMagazines_)
-                if (elem.second->munition_ < this->maxMunitionPerMagazine_ && elem.second->bLoaded_)
+            for (const auto& mapEntry : this->currentMagazines_)
+                if (mapEntry.second->munition_ < this->maxMunitionPerMagazine_ && mapEntry.second->bLoaded_)
                     return true;
         }
@@ -316,10 +316,10 @@
             {
                 bool change = false;
-                for (auto & elem : this->currentMagazines_)
+                for (auto& mapEntry : this->currentMagazines_)
                 {
                     // Add munition if the magazine isn't full (but only to loaded magazines)
-                    if (amount > 0 && elem.second->munition_ < this->maxMunitionPerMagazine_ && elem.second->bLoaded_)
+                    if (amount > 0 && mapEntry.second->munition_ < this->maxMunitionPerMagazine_ && mapEntry.second->bLoaded_)
                     {
-                        elem.second->munition_++;
+                        mapEntry.second->munition_++;
                         amount--;
                         change = true;
Index: code/branches/cpp11_v2/src/orxonox/weaponsystem/Weapon.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/weaponsystem/Weapon.cc	(revision 10845)
+++ code/branches/cpp11_v2/src/orxonox/weaponsystem/Weapon.cc	(revision 10916)
@@ -61,6 +61,6 @@
                 this->weaponPack_->removeWeapon(this);
 
-            for (auto & elem : this->weaponmodes_)
-                elem.second->destroy();
+            for (auto& mapEntry : this->weaponmodes_)
+                mapEntry.second->destroy();
         }
     }
@@ -85,8 +85,8 @@
     {
         unsigned int i = 0;
-        for (const auto & elem : this->weaponmodes_)
+        for (const auto& mapEntry : this->weaponmodes_)
         {
             if (i == index)
-                return elem.second;
+                return mapEntry.second;
 
             ++i;
@@ -136,6 +136,6 @@
     void Weapon::reload()
     {
-        for (auto & elem : this->weaponmodes_)
-            elem.second->reload();
+        for (auto& mapEntry : this->weaponmodes_)
+            mapEntry.second->reload();
     }
 
@@ -148,6 +148,6 @@
     void Weapon::notifyWeaponModes()
     {
-        for (auto & elem : this->weaponmodes_)
-            elem.second->setWeapon(this);
+        for (auto& mapEntry : this->weaponmodes_)
+            mapEntry.second->setWeapon(this);
     }
 }
Index: code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponPack.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponPack.cc	(revision 10845)
+++ code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponPack.cc	(revision 10916)
@@ -76,6 +76,6 @@
     void WeaponPack::fire(unsigned int weaponmode)
     {
-        for (auto & elem : this->weapons_)
-            (elem)->fire(weaponmode);
+        for (Weapon* weapon : this->weapons_)
+            weapon->fire(weaponmode);
     }
 
@@ -86,6 +86,6 @@
     void WeaponPack::reload()
     {
-        for (auto & elem : this->weapons_)
-            (elem)->reload();
+        for (Weapon* weapon : this->weapons_)
+            weapon->reload();
     }
 
@@ -114,8 +114,8 @@
         unsigned int i = 0;
 
-        for (const auto & elem : this->weapons_)
+        for (Weapon* weapon : this->weapons_)
         {
             if (i == index)
-                return (elem);
+                return weapon;
             ++i;
         }
@@ -132,8 +132,8 @@
     {
         unsigned int i = 0;
-        for (const auto & elem : this->links_)
+        for (DefaultWeaponmodeLink* link : this->links_)
         {
             if (i == index)
-                return (elem);
+                return link;
 
             ++i;
@@ -144,7 +144,7 @@
     unsigned int WeaponPack::getDesiredWeaponmode(unsigned int firemode) const
     {
-        for (const auto & elem : this->links_)
-            if ((elem)->getFiremode() == firemode)
-                return (elem)->getWeaponmode();
+        for (DefaultWeaponmodeLink* link : this->links_)
+            if (link->getFiremode() == firemode)
+                return link->getWeaponmode();
 
         return WeaponSystem::WEAPON_MODE_UNASSIGNED;
Index: code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSet.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSet.cc	(revision 10845)
+++ code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSet.cc	(revision 10916)
@@ -63,7 +63,7 @@
     {
         // Fire all WeaponPacks with their defined weaponmode
-        for (auto & elem : this->weaponpacks_)
-            if (elem.second != WeaponSystem::WEAPON_MODE_UNASSIGNED)
-                elem.first->fire(elem.second);
+        for (auto& mapEntry : this->weaponpacks_)
+            if (mapEntry.second != WeaponSystem::WEAPON_MODE_UNASSIGNED)
+                mapEntry.first->fire(mapEntry.second);
     }
 
@@ -71,6 +71,6 @@
     {
         // Reload all WeaponPacks with their defined weaponmode
-        for (auto & elem : this->weaponpacks_)
-            elem.first->reload();
+        for (auto& mapEntry : this->weaponpacks_)
+            mapEntry.first->reload();
     }
 
Index: code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSystem.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSystem.cc	(revision 10845)
+++ code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSystem.cc	(revision 10916)
@@ -106,9 +106,9 @@
     {
         unsigned int i = 0;
-        for (const auto & elem : this->weaponSlots_)
+        for (WeaponSlot* weaponSlot : this->weaponSlots_)
         {
             ++i;
             if (i > index)
-                return (elem);
+                return weaponSlot;
         }
         return nullptr;
@@ -153,9 +153,9 @@
     {
         unsigned int i = 0;
-        for (const auto & elem : this->weaponSets_)
+        for (const auto& mapEntry : this->weaponSets_)
         {
             ++i;
             if (i > index)
-                return elem.second;
+                return mapEntry.second;
         }
         return nullptr;
@@ -168,7 +168,7 @@
 
         unsigned int freeSlots = 0;
-        for (auto & elem : this->weaponSlots_)
-        {
-            if (!(elem)->isOccupied())
+        for (WeaponSlot* weaponSlot : this->weaponSlots_)
+        {
+            if (!weaponSlot->isOccupied())
                 ++freeSlots;
         }
@@ -184,10 +184,10 @@
         // Attach all weapons to the first free slots (and to the Pawn)
         unsigned int i = 0;
-        for (auto & elem : this->weaponSlots_)
-        {
-            if (!(elem)->isOccupied() && i < wPack->getNumWeapons())
+        for (WeaponSlot* weaponSlot : this->weaponSlots_)
+        {
+            if (!weaponSlot->isOccupied() && i < wPack->getNumWeapons())
             {
                 Weapon* weapon = wPack->getWeapon(i);
-                (elem)->attachWeapon(weapon);
+                weaponSlot->attachWeapon(weapon);
                 this->getPawn()->attach(weapon);
                 ++i;
@@ -196,9 +196,9 @@
 
         // Assign the desired weaponmode to the firemodes
-        for (auto & elem : this->weaponSets_)
-        {
-            unsigned int weaponmode = wPack->getDesiredWeaponmode(elem.first);
+        for (auto& mapEntry : this->weaponSets_)
+        {
+            unsigned int weaponmode = wPack->getDesiredWeaponmode(mapEntry.first);
             if (weaponmode != WeaponSystem::WEAPON_MODE_UNASSIGNED)
-                elem.second->setWeaponmodeLink(wPack, weaponmode);
+                mapEntry.second->setWeaponmodeLink(wPack, weaponmode);
         }
 
@@ -219,6 +219,6 @@
 
         // Remove all added links from the WeaponSets
-        for (auto & elem : this->weaponSets_)
-            elem.second->removeWeaponmodeLink(wPack);
+        for (auto& mapEntry : this->weaponSets_)
+            mapEntry.second->removeWeaponmodeLink(wPack);
 
         // Remove the WeaponPack from the WeaponSystem
@@ -231,9 +231,9 @@
     {
         unsigned int i = 0;
-        for (const auto & elem : this->weaponPacks_)
+        for (WeaponPack* weaponPack : this->weaponPacks_)
         {
             ++i;
             if (i > index)
-                return (elem);
+                return weaponPack;
         }
         return nullptr;
@@ -268,7 +268,7 @@
         // Check if the WeaponSet belongs to this WeaponSystem
         bool foundWeaponSet = false;
-        for (auto & elem : this->weaponSets_)
-        {
-            if (elem.second == wSet)
+        for (auto& mapEntry : this->weaponSets_)
+        {
+            if (mapEntry.second == wSet)
             {
                 foundWeaponSet = true;
@@ -296,6 +296,6 @@
     void WeaponSystem::reload()
     {
-        for (auto & elem : this->weaponSets_)
-            elem.second->reload();
+        for (auto& mapEntry : this->weaponSets_)
+            mapEntry.second->reload();
     }
 
Index: code/branches/cpp11_v2/src/orxonox/worldentities/ControllableEntity.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/worldentities/ControllableEntity.cc	(revision 10845)
+++ code/branches/cpp11_v2/src/orxonox/worldentities/ControllableEntity.cc	(revision 10916)
@@ -165,8 +165,8 @@
     {
         unsigned int i = 0;
-        for (const auto & elem : this->cameraPositions_)
+        for (CameraPosition* cameraPosition : this->cameraPositions_)
         {
             if (i == index)
-                return (elem);
+                return cameraPosition;
             ++i;
         }
@@ -180,7 +180,7 @@
 
         unsigned int counter = 0;
-        for (const auto & elem : this->cameraPositions_)
-        {
-            if ((elem) == this->currentCameraPosition_)
+        for (CameraPosition* cameraPosition : this->cameraPositions_)
+        {
+            if (cameraPosition == this->currentCameraPosition_)
                 break;
             counter++;
@@ -477,7 +477,7 @@
         if (parent)
         {
-            for (auto & elem : this->cameraPositions_)
-                if ((elem)->getIsAbsolute())
-                    parent->attach((elem));
+            for (CameraPosition* cameraPosition : this->cameraPositions_)
+                if (cameraPosition->getIsAbsolute())
+                    parent->attach(cameraPosition);
         }
     }
Index: code/branches/cpp11_v2/src/orxonox/worldentities/EffectContainer.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/worldentities/EffectContainer.cc	(revision 10845)
+++ code/branches/cpp11_v2/src/orxonox/worldentities/EffectContainer.cc	(revision 10916)
@@ -89,7 +89,7 @@
     {
         unsigned int i = 0;
-        for (const auto & elem : this->effects_)
+        for (WorldEntity* effect : this->effects_)
             if (i == index)
-                return (elem);
+                return effect;
         return nullptr;
     }
Index: code/branches/cpp11_v2/src/orxonox/worldentities/WorldEntity.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/worldentities/WorldEntity.cc	(revision 10845)
+++ code/branches/cpp11_v2/src/orxonox/worldentities/WorldEntity.cc	(revision 10916)
@@ -233,14 +233,14 @@
 
             // iterate over all children and change their activity as well
-            for (const auto & elem : this->getAttachedObjects())
+            for (WorldEntity* object : this->getAttachedObjects())
             {
                 if(!this->isActive())
                 {
-                    (elem)->bActiveMem_ = (elem)->isActive();
-                    (elem)->setActive(this->isActive());
+                    object->bActiveMem_ = object->isActive();
+                    object->setActive(this->isActive());
                 }
                 else
                 {
-                    (elem)->setActive((elem)->bActiveMem_);
+                    object->setActive(object->bActiveMem_);
                 }
             }
@@ -259,14 +259,14 @@
         {
             // iterate over all children and change their visibility as well
-            for (const auto & elem : this->getAttachedObjects())
+            for (WorldEntity* object : this->getAttachedObjects())
             {
                 if(!this->isVisible())
                 {
-                    (elem)->bVisibleMem_ = (elem)->isVisible();
-                    (elem)->setVisible(this->isVisible());
+                    object->bVisibleMem_ = object->isVisible();
+                    object->setVisible(this->isVisible());
                 }
                 else
                 {
-                    (elem)->setVisible((elem)->bVisibleMem_);
+                    object->setVisible(object->bVisibleMem_);
                 }
             }
@@ -518,8 +518,8 @@
     {
         unsigned int i = 0;
-        for (const auto & elem : this->children_)
+        for (WorldEntity* child : this->children_)
         {
             if (i == index)
-                return (elem);
+                return child;
             ++i;
         }
@@ -938,6 +938,6 @@
         // Recalculate mass
         this->childrenMass_ = 0.0f;
-        for (const auto & elem : this->children_)
-            this->childrenMass_ += (elem)->getMass();
+        for (WorldEntity* child : this->children_)
+            this->childrenMass_ += child->getMass();
         recalculateMassProps();
         // Notify parent WE
Index: code/branches/cpp11_v2/src/orxonox/worldentities/pawns/ModularSpaceShip.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/worldentities/pawns/ModularSpaceShip.cc	(revision 10845)
+++ code/branches/cpp11_v2/src/orxonox/worldentities/pawns/ModularSpaceShip.cc	(revision 10916)
@@ -99,13 +99,13 @@
             }
             // iterate through all attached parts
-            for(auto & elem : this->partList_)
+            for(ShipPart* part : this->partList_)
             {
                 // if the name of the part matches the name of the object, add the object to that parts entitylist (unless it was already done).
-                if((elem->getName() == this->getAttachedObject(i)->getName()) && !elem->hasEntity(orxonox_cast<StaticEntity*>(this->getAttachedObject(i))))
+                if((part->getName() == this->getAttachedObject(i)->getName()) && !part->hasEntity(orxonox_cast<StaticEntity*>(this->getAttachedObject(i))))
                 {
                     // The Entity is added to the part's entityList_
-                    elem->addEntity(orxonox_cast<StaticEntity*>(this->getAttachedObject(i)));
+                    part->addEntity(orxonox_cast<StaticEntity*>(this->getAttachedObject(i)));
                     // An entry in the partMap_ is created, assigning the part to the entity.
-                    this->addPartEntityAssignment((StaticEntity*)(this->getAttachedObject(i)), elem);
+                    this->addPartEntityAssignment((StaticEntity*)(this->getAttachedObject(i)), part);
                 }
             }
@@ -146,8 +146,8 @@
     ShipPart* ModularSpaceShip::getPartOfEntity(StaticEntity* entity) const
     {
-        for (const auto & elem : this->partMap_)
-        {
-            if (elem.first == entity)
-                return elem.second;
+        for (const auto& mapEntry : this->partMap_)
+        {
+            if (mapEntry.first == entity)
+                return mapEntry.second;
         }
         return nullptr;
@@ -242,9 +242,9 @@
     ShipPart* ModularSpaceShip::getShipPartByName(std::string name)
     {
-        for(auto & elem : this->partList_)
-        {
-            if(orxonox_cast<ShipPart*>(elem)->getName() == name)
-            {
-                return orxonox_cast<ShipPart*>(elem);
+        for(ShipPart* part : this->partList_)
+        {
+            if(orxonox_cast<ShipPart*>(part)->getName() == name)
+            {
+                return orxonox_cast<ShipPart*>(part);
             }
         }
@@ -256,12 +256,12 @@
     @brief
         Check whether the SpaceShip has a particular Engine.
-    @param engine
+    @param search
         A pointer to the Engine to be checked.
     */
-    bool ModularSpaceShip::hasShipPart(ShipPart* part) const
-    {
-        for(auto & elem : this->partList_)
-        {
-            if(elem == part)
+    bool ModularSpaceShip::hasShipPart(ShipPart* search) const
+    {
+        for(ShipPart* part : this->partList_)
+        {
+            if(part == search)
                 return true;
         }
Index: code/branches/cpp11_v2/src/orxonox/worldentities/pawns/SpaceShip.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/worldentities/pawns/SpaceShip.cc	(revision 10845)
+++ code/branches/cpp11_v2/src/orxonox/worldentities/pawns/SpaceShip.cc	(revision 10916)
@@ -158,6 +158,6 @@
 
         // Run the engines
-        for(auto & elem : this->engineList_)
-            (elem)->run(dt);
+        for(Engine* engine : this->engineList_)
+            engine->run(dt);
 
         if (this->hasLocalController())
@@ -313,12 +313,12 @@
     @brief
         Check whether the SpaceShip has a particular Engine.
-    @param engine
+    @param search
         A pointer to the Engine to be checked.
     */
-    bool SpaceShip::hasEngine(Engine* engine) const
-    {
-        for(auto & elem : this->engineList_)
-        {
-            if(elem == engine)
+    bool SpaceShip::hasEngine(Engine* search) const
+    {
+        for(Engine* engine : this->engineList_)
+        {
+            if(engine == search)
                 return true;
         }
@@ -350,7 +350,7 @@
     Engine* SpaceShip::getEngineByName(const std::string& name)
     {
-        for(auto & elem : this->engineList_)
-            if(elem->getName() == name)
-                return elem;
+        for(Engine* engine : this->engineList_)
+            if(engine->getName() == name)
+                return engine;
 
         orxout(internal_warning) << "Couldn't find Engine with name \"" << name << "\"." << endl;
@@ -396,6 +396,6 @@
     void SpaceShip::addSpeedFactor(float factor)
     {
-        for(auto & elem : this->engineList_)
-            elem->addSpeedMultiply(factor);
+        for(Engine* engine : this->engineList_)
+            engine->addSpeedMultiply(factor);
     }
 
@@ -408,6 +408,6 @@
     void SpaceShip::addSpeed(float speed)
     {
-        for(auto & elem : this->engineList_)
-            elem->addSpeedAdd(speed);
+        for(Engine* engine : this->engineList_)
+            engine->addSpeedAdd(speed);
     }
 
@@ -436,8 +436,8 @@
     {
         float speed=0;
-        for(auto & elem : this->engineList_)
-        {
-            if(elem->getMaxSpeedFront() > speed)
-                speed = elem->getMaxSpeedFront();
+        for(Engine* engine : this->engineList_)
+        {
+            if(engine->getMaxSpeedFront() > speed)
+                speed = engine->getMaxSpeedFront();
         }
         return speed;
Index: code/branches/cpp11_v2/src/orxonox/worldentities/pawns/TeamBaseMatchBase.cc
===================================================================
--- code/branches/cpp11_v2/src/orxonox/worldentities/pawns/TeamBaseMatchBase.cc	(revision 10845)
+++ code/branches/cpp11_v2/src/orxonox/worldentities/pawns/TeamBaseMatchBase.cc	(revision 10916)
@@ -80,7 +80,7 @@
 
         std::set<WorldEntity*> attachments = this->getAttachedObjects();
-        for (const auto & attachment : attachments)
+        for (WorldEntity* attachment : attachments)
         {
-            if ((attachment)->isA(Class(TeamColourable)))
+            if (attachment->isA(Class(TeamColourable)))
             {
                 TeamColourable* tc = orxonox_cast<TeamColourable*>(attachment);
